jQuery(document).ready(function(){

	//******************************************
	//Important Info: How to read data from data.js json formatted file:
	//every variable in the data.js file can be accesed with data[0].[NameOfData]
	//e.g.
	//var footer_date = data[0].REP_DATE;
	//var subtitle_text = "This is an imported variable" + data[0].WHATEVER_FROM_DATA_JS + "!!!";
	//console.log(data);
	//******************************************

	//*******************************************
	//Im folgenden Abschnitt Titel und Links zu Bildern angeben
	//Tabellen können nur im Dateiformat .html in den Variablen (var) mit dem Titel Tabelle angegeben werden
	//Titel können auch leer gelassen werden, hierzu einfach keinen Text zwischen den Anführungsstrichen eingeben
	//in the following section you can set the titles and links for pictures
	//titles can be left empty with ""
	var imported_date = data[0].REP_DATE;

	var browser_title = "Runs (Detailed view – Client summary)";

	//Header
	var disable_header = "1";	//0 = not visible, 1= visible
	var display_back_button = "1"; //0 = not visible, 1= visible, header_title_small_left will be hided if turned on
	var header_title = "<h2>MONTHLY SCHEDULING STATISTICS</h2> " + data[0].REP_MONTH + " " + data[0].REP_YEAR + "<br><h2>Number of object runs</h2></b>";
	var header_title_small_right = "";
	var header_title_small_left  = "";
	var header_title_small_right = "";

	//*********
	//*********
	//Row 1 text area
	var title_1_text = "Statistic";
	var subtitle_1_text = "Runs";
	//in the following part you can set titles and values for kpis
	//which will be displayed in the first box
	//you can leave the value empty with ""
	//you can use variables from the data.js
	//html can be used too, e.g.
	//line break <br>, bold <b>, text color <span style='color:#ff4646'>your text</span>
	// = "<b>Summary:</b><br><br>";
	//table head
	var row_1_0_1 = "<b>Description</b>";
	var row_1_0_2 = "TOTAL";
	var row_1_0_3 = "Production" + "<br>(Client 100)</b>";
	var row_1_0_4 = "NonProduction" + "<br>(Client 500)</b>";

	
	//table content
	var row_1_1_1 = "<b>Runs  Events (EVNT)</b>";
	var row_1_1_2 = formatNumber(data[0].ITCUC4JOBR_EVNT_ALL);
	var row_1_1_3 = formatNumber(data[0].ITCUC4JOBR_EVNT_100);
	var row_1_1_4 = formatNumber(data[0].ITCUC4JOBR_EVNT_500);

	
	var row_1_2_1 = "<b>Runs  Workflows (JOBP)</b>";
	var row_1_2_2 = formatNumber(data[0].ITCUC4JOBR_JOBP_ALL);
	var row_1_2_3 = formatNumber(data[0].ITCUC4JOBR_JOBP_100);
	var row_1_2_4 = formatNumber(data[0].ITCUC4JOBR_JOBP_500);

	var row_1_3_1 = "<b>Runs  Jobs (JOBS)</b>";
	var row_1_3_2 = formatNumber(data[0].ITCUC4JOBR_JOBS_ALL);
	var row_1_3_3 = formatNumber(data[0].ITCUC4JOBR_JOBS_100);
	var row_1_3_4 = formatNumber(data[0].ITCUC4JOBR_JOBS_500);
	
	var row_1_4_1 = "<b>Runs  Filetransfer (JOBF)</b>";
	var row_1_4_2 = formatNumber(data[0].ITCUC4JOBR_JOBF_ALL);
	var row_1_4_3 = formatNumber(data[0].ITCUC4JOBR_JOBF_100);
	var row_1_4_4 = formatNumber(data[0].ITCUC4JOBR_JOBF_500);
	
	var row_1_5_1 = "<b>Runs  Scripts (SCRI)</b>";
	var row_1_5_2 = formatNumber(data[0].ITCUC4JOBR_SCRI_ALL);
	var row_1_5_3 = formatNumber(data[0].ITCUC4JOBR_SCRI_100);
	var row_1_5_4 = formatNumber(data[0].ITCUC4JOBR_SCRI_500);
	

	//remove unneccessary rows
	//	$('#row1_5').remove();
	//end row 1 text area
	//End row 1
	//*********


	//Start row 2
	//Row 2 Picture 1
	var title_row2_pic1 = "Runs (OK / ERROR) for Jobs (Client 100 <PROD> only)";
	var subtitle_row2_pic1 = "";
	var pic_2_1 = "../Pictures/Number_of_Object_Runs_Status.png";

	//Row 2 Picture 2
	var title_row2_pic2 = "Count of Runs by Object Type (Client 100 <PROD>)";
	var subtitle_row2_pic2 = "";
	var pic_2_2 = "../Pictures/Number_of_Object_Runs_by_Type_Month.png";
	//*********

	//***********************
	//Picture and text in footer
	var disable_footer = "1";			//0 = disabled, 1= enabled
	var footer_text = "";
	//var footer_date = "XX.XX.XXXX";
	var footer_date = "Report created: " + data[0].REP_DATE + " ";			//this would use the imported variable from the data.js
	//var footer_date = new Date().toLocaleDateString();		//this would show the current date when the template is openend
	var footer_pic = "../Pictures/HannRe.png";
	//end footer

	//*******************************************
	//end of setting the titles and pictures
	//*******************************************


	//*******************************************
	//Some styling variables
	//*******************************************
	var header_background_color = "#ffffff";	//standard "ffffff"
	var footer_background_color = "#ffffff";
	var content_background_color = "#eef0f8";	//standard = #eef0f8
	var box_shadow = "0";						//standard = 0, darker = 1, very dark = 2
	var border_bottom = "1";					//on = 1, off = 0
	var border_bottom_color ="#eef0f8";
	//if you want the footer/header always be visible (fixed), set the following vars to 1
	var footer_sticky = "0"; // 1=yes, 0=no
	var header_sticky = "0";
	//*******************************************
	//End of styling variables
	//*******************************************

	//row 1 col 2
	$("#title_1_text").html(title_1_text);
	$("#subtitle_1_text").html(subtitle_1_text);

	//table cells
	$("#row_1_0_1").html(row_1_0_1);
	$("#row_1_0_2").html(row_1_0_2);
	$("#row_1_0_3").html(row_1_0_3);
	$("#row_1_0_4").html(row_1_0_4);
	
	$("#row_1_1_1").html(row_1_1_1);
	$("#row_1_1_2").html(row_1_1_2);
	$("#row_1_1_3").html(row_1_1_3);
	$("#row_1_1_4").html(row_1_1_4);
	
	$("#row_1_2_1").html(row_1_2_1);
	$("#row_1_2_2").html(row_1_2_2);
	$("#row_1_2_3").html(row_1_2_3);
	$("#row_1_2_4").html(row_1_2_4);
	
	$("#row_1_3_1").html(row_1_3_1);
	$("#row_1_3_2").html(row_1_3_2);
	$("#row_1_3_3").html(row_1_3_3);
	$("#row_1_3_4").html(row_1_3_4);
	
	$("#row_1_4_1").html(row_1_4_1);
	$("#row_1_4_2").html(row_1_4_2);
	$("#row_1_4_3").html(row_1_4_3);
	$("#row_1_4_4").html(row_1_4_4);
	
	$("#row_1_5_1").html(row_1_5_1);
	$("#row_1_5_2").html(row_1_5_2);
	$("#row_1_5_3").html(row_1_5_3);
	$("#row_1_5_4").html(row_1_5_4);
	
	//end table cells


	//********************************************
	//DO NOT CHANGE ANYTHING IN THE FOLLOWING SECTION!!!
	//mit jquery manipulieren und angegebene inhalte laden
	$("#browser_title").text(browser_title);
	//header
	$("#header_title").html(header_title);
	$("#header_title_small_right").html(header_title_small_right);
	$("#header_title_small_left").html(header_title_small_left);

    if(display_back_button == "1"){
                $("#header_title_small_left").html('<a href="../templates/cover.html")>Back</a>');
	}


	//ROW2
	//row 2 col 1
	$("#title_row2_pic1").html(title_row2_pic1);
	$("#subtitle_row2_pic1").html(subtitle_row2_pic1);
	$("#pic_2_1").attr("src", pic_2_1);
	$("#lightbox_pic_2_1").attr("href", pic_2_1);

	//row 2 col 2
	$("#title_row2_pic2").html(title_row2_pic2);
	$("#subtitle_row2_pic2").html(subtitle_row2_pic2);
	$("#pic_2_2").attr("src", pic_2_2);
	$("#lightbox_pic_2_2").attr("href", pic_2_2);



	//footer
	$("#footer_text").html(footer_text);
	$("#footer_date").html(footer_date);
	$("#footer_pic").attr("src", footer_pic);
	//ende mit jquery manipulieren und angegebene inhalte laden
	//***************************************

	//***************************************
	//styling
	if(footer_sticky === "1"){
		$( "#kt_body" ).addClass( "footer-fixed" );
	}else{
		$( "#kt_body" ).removeClass( "footer-fixed" );
	}
	if(header_sticky === "1"){
		$( "#kt_header" ).addClass( "header-fixed" );
		$(".container").addClass("header_sticky_margin_top");
	}else{
		$( "#kt_header" ).removeClass( "header-fixed" );
	}

	$("#kt_header").css("background-color", header_background_color);
	$("#kt_footer").css("background-color", footer_background_color);
	$("#my_content").css("background-color", content_background_color);

	//border bottom
	if(border_bottom === "1"){
		$(".card").css("border-bottom", "4px solid");
		$(".card").css("border-bottom-color", border_bottom_color);
	}

	//box shadow
	if(box_shadow === "1"){
		$(".card.card-custom").addClass("box_shadow_1");
	}else if(box_shadow === "2"){
		$(".card.card-custom").addClass("box_shadow_2");
	}else{
		$(".card.card-custom").addClass("box_shadow_standard");
	}

	//display header
	if (disable_header === "0"){
		$("#kt_header").css("display", "none");
	}else{
		//nichts
	}
	//display footer
	if (disable_footer === "0"){
		$(".footer").addClass("hide_footer");
	}else{
		//nichts
	}
});

function formatNumber(num) {
	return num.toString().replace(/(\d)(?=(\d{3})+(?!\d))/g, '$1.');
}