jQuery(document).ready(function(){	

	//******************************************
	//Important Info: How to read data from data.js json formatted file:
	//every variable in the data.js file can be accesed with data.[NameOfData]
	//e.g
	//var footer_date = data.REP_DATE;
	//var subtitle_text = "This is an imported variable" + data.WHATEVER_FROM_DATA_JS + "!!!";
	//console.log(data);
	//******************************************

	//*******************************************
	//Im folgenden Abschnitt Titel und Links zu Bildern angeben
	//Tabllen können nur im Dateiformat .html in den Variablen (var) mit dem Titel Tabelle angegeben werden
	//Titel können auch leer gelassen werden, hierzu einfach keinen Text zwischen den Anführungsstrichen eingeben
	//in the following section you can set the titles and links for pictures
	//titles can be left empty with ""

	var browser_title = "SUMMARY";

	//Header
	var disable_header = "1";	//0 = not visible, 1= visible
	var display_back_button = "1"; //0 = not visible, 1= visible, header_title_small_left will be hided if turned on
	var header_title_small_left = "";
	var header_title = "<h2>MONTHLY SCHEDULING STATISTICS</h2> " + data[0].REP_MONTH + " " + data[0].REP_YEAR + "<br><h2>Summary & Averages</h2></b>" ;	//for a subtitle below the title, use something like: var header_title = "<h2>Header title!</h2>Subtitle";
	var header_title_small_right ="";

	//*********
	//Row 1 text area
	var title_1_text = "Summary";
	var subtitle_1_text = "Objects, Agents, Runs";
	//in the following part you can set titles and values for kpis
	//which will be displayed in the first box
	//you can leave the value empty with ""
	//you can use variables from the data.js
	//html can be used too, e.g.
	//line break <br>, bold <b>, text color <span style='color:#ff4646'>your text</span>
	// = "<b>Summary:</b><br><br>";

	//table head
	var row_1_0_1 = "<b>Description</b>";
	var row_1_0_2 = "<b><span style='color:#2271b3'>Actual Month</b>";
	var row_1_0_3  = formatNumber(data[0].ITCUC4SUM_DESC_01);
	var row_1_0_4  = formatNumber(data[0].ITCUC4SUM_DESC_02);
	var row_1_0_5  = formatNumber(data[0].ITCUC4SUM_DESC_03);
	var row_1_0_6  = formatNumber(data[0].ITCUC4SUM_DESC_04);
	var row_1_0_7  = formatNumber(data[0].ITCUC4SUM_DESC_05);
	var row_1_0_8  = formatNumber(data[0].ITCUC4SUM_DESC_06);
	var row_1_0_9  = formatNumber(data[0].ITCUC4SUM_DESC_07);
	var row_1_0_10 = formatNumber(data[0].ITCUC4SUM_DESC_08);
	var row_1_0_11 = formatNumber(data[0].ITCUC4SUM_DESC_09);
	var row_1_0_12 = formatNumber(data[0].ITCUC4SUM_DESC_10);
	var row_1_0_13 = formatNumber(data[0].ITCUC4SUM_DESC_11);
	var row_1_0_14 = formatNumber(data[0].ITCUC4SUM_DESC_12);

	//table content
	var row_1_1_1  = "<b>Objects (Client 1000)</b>";
	var row_1_1_2  = formatNumber(data[0].ITCUC4SUM_OBJECTS);
	var row_1_1_3  = formatNumber(data[0].ITCUC4SUM_OBJECTS_01);
	var row_1_1_4  = formatNumber(data[0].ITCUC4SUM_OBJECTS_02);
	var row_1_1_5  = formatNumber(data[0].ITCUC4SUM_OBJECTS_03);
	var row_1_1_6  = formatNumber(data[0].ITCUC4SUM_OBJECTS_04);
	var row_1_1_7  = formatNumber(data[0].ITCUC4SUM_OBJECTS_05);
	var row_1_1_8  = formatNumber(data[0].ITCUC4SUM_OBJECTS_06);
	var row_1_1_9  = formatNumber(data[0].ITCUC4SUM_OBJECTS_07);
	var row_1_1_10 = formatNumber(data[0].ITCUC4SUM_OBJECTS_08);
	var row_1_1_11 = formatNumber(data[0].ITCUC4SUM_OBJECTS_09);
	var row_1_1_12 = formatNumber(data[0].ITCUC4SUM_OBJECTS_10);
	var row_1_1_13 = formatNumber(data[0].ITCUC4SUM_OBJECTS_11);
	var row_1_1_14 = formatNumber(data[0].ITCUC4SUM_OBJECTS_12);

	var row_1_2_1  = "";
	var row_1_2_2  = "";
	var row_1_2_3  = "";
	var row_1_2_4  = "";
	var row_1_2_5  = "";
	var row_1_2_6  = "";
	var row_1_2_7  = "";
	var row_1_2_8  = "";
	var row_1_2_9  = "";
	var row_1_2_10 = "";
	var row_1_2_11 = "";
	var row_1_2_12 = "";
	var row_1_2_13 = "";
	var row_1_2_14 = "";	
                         
	var row_1_3_1  = "<b>Agents  (Client 0)</b>";
	var row_1_3_2  = formatNumber(data[0].ITCUC4SUM_AGENTS);
	var row_1_3_3  = formatNumber(data[0].ITCUC4SUM_AGENTS_01);
	var row_1_3_4  = formatNumber(data[0].ITCUC4SUM_AGENTS_02);
	var row_1_3_5  = formatNumber(data[0].ITCUC4SUM_AGENTS_03);
	var row_1_3_6  = formatNumber(data[0].ITCUC4SUM_AGENTS_04);
	var row_1_3_7  = formatNumber(data[0].ITCUC4SUM_AGENTS_05);
	var row_1_3_8  = formatNumber(data[0].ITCUC4SUM_AGENTS_06);
	var row_1_3_9  = formatNumber(data[0].ITCUC4SUM_AGENTS_07);
	var row_1_3_10 = formatNumber(data[0].ITCUC4SUM_AGENTS_08);
	var row_1_3_11 = formatNumber(data[0].ITCUC4SUM_AGENTS_09);
	var row_1_3_12 = formatNumber(data[0].ITCUC4SUM_AGENTS_10);
	var row_1_3_13 = formatNumber(data[0].ITCUC4SUM_AGENTS_11);
	var row_1_3_14 = formatNumber(data[0].ITCUC4SUM_AGENTS_12);	
	
	var row_1_4_1  = "";
	var row_1_4_2  = "";
	var row_1_4_3  = "";
	var row_1_4_4  = "";
	var row_1_4_5  = "";
	var row_1_4_6  = "";
	var row_1_4_7  = "";
	var row_1_4_8  = "";
	var row_1_4_9  = "";
	var row_1_4_10 = "";
	var row_1_4_11 = "";
	var row_1_4_12 = "";
	var row_1_4_13 = "";
	var row_1_4_14 = "";	
	                     
	var row_1_5_1  = "<b>Runs    (Client 100 & 500)</b>";
	var row_1_5_2  = formatNumber(data[0].ITCUC4SUM_RUNS);
	var row_1_5_3  = formatNumber(data[0].ITCUC4SUM_RUNS_01);
	var row_1_5_4  = formatNumber(data[0].ITCUC4SUM_RUNS_02);
	var row_1_5_5  = formatNumber(data[0].ITCUC4SUM_RUNS_03);
	var row_1_5_6  = formatNumber(data[0].ITCUC4SUM_RUNS_04);
	var row_1_5_7  = formatNumber(data[0].ITCUC4SUM_RUNS_05);
	var row_1_5_8  = formatNumber(data[0].ITCUC4SUM_RUNS_06);
	var row_1_5_9  = formatNumber(data[0].ITCUC4SUM_RUNS_07);
	var row_1_5_10 = formatNumber(data[0].ITCUC4SUM_RUNS_08);
	var row_1_5_11 = formatNumber(data[0].ITCUC4SUM_RUNS_09);
	var row_1_5_12 = formatNumber(data[0].ITCUC4SUM_RUNS_10);
	var row_1_5_13 = formatNumber(data[0].ITCUC4SUM_RUNS_11);
	var row_1_5_14 = formatNumber(data[0].ITCUC4SUM_RUNS_12);	
	
	//remove unneccessary rows
    //	$('#row1_4').remove();
	//end row 1 text area
	//End row 1
	//*********
	
	//*********	
	//Row 2 text area
	var title_2_text = "Statistic";
	var subtitle_2_text = "averages";
	//in the following part you can set titles and values for kpis
	//which will be displayed in the first box
	//you can leave the value empty with ""
	//you can use variables from the data.js
	//html can be used too, e.g.
	//line break <br>, bold <b>, text color <span style='color:#ff4646'>your text</span>
	// = "<b>Summary:</b><br><br>";

	//table head
	var row_2_0_1 = "<b>Description</b>";
	var row_2_0_2 = "<b><span style='color:#2271b3'>Actual Month</b>";
	var row_2_0_3  = formatNumber(data[0].ITCUC4STAT_RUNS_DESC_01);
	var row_2_0_4  = formatNumber(data[0].ITCUC4STAT_RUNS_DESC_02);
	var row_2_0_5  = formatNumber(data[0].ITCUC4STAT_RUNS_DESC_03);
	var row_2_0_6  = formatNumber(data[0].ITCUC4STAT_RUNS_DESC_04);
	var row_2_0_7  = formatNumber(data[0].ITCUC4STAT_RUNS_DESC_05);
	var row_2_0_8  = formatNumber(data[0].ITCUC4STAT_RUNS_DESC_06);
	var row_2_0_9  = formatNumber(data[0].ITCUC4STAT_RUNS_DESC_07);
	var row_2_0_10 = formatNumber(data[0].ITCUC4STAT_RUNS_DESC_08);
	var row_2_0_11 = formatNumber(data[0].ITCUC4STAT_RUNS_DESC_09);
	var row_2_0_12 = formatNumber(data[0].ITCUC4STAT_RUNS_DESC_10);
	var row_2_0_13 = formatNumber(data[0].ITCUC4STAT_RUNS_DESC_11);
	var row_2_0_14 = formatNumber(data[0].ITCUC4STAT_RUNS_DESC_12);

	//table content
	var row_2_1_1  = "<b>Runs per month</b>";
	var row_2_1_2  = formatNumber(data[0].ITCUC4STAT_RUNS_MONTH);
	var row_2_1_3  = formatNumber(data[0].ITCUC4STAT_RUNS_MONTH_01);
	var row_2_1_4  = formatNumber(data[0].ITCUC4STAT_RUNS_MONTH_02);
	var row_2_1_5  = formatNumber(data[0].ITCUC4STAT_RUNS_MONTH_03);
	var row_2_1_6  = formatNumber(data[0].ITCUC4STAT_RUNS_MONTH_04);
	var row_2_1_7  = formatNumber(data[0].ITCUC4STAT_RUNS_MONTH_05);
	var row_2_1_8  = formatNumber(data[0].ITCUC4STAT_RUNS_MONTH_06);
	var row_2_1_9  = formatNumber(data[0].ITCUC4STAT_RUNS_MONTH_07);
	var row_2_1_10 = formatNumber(data[0].ITCUC4STAT_RUNS_MONTH_08);
	var row_2_1_11 = formatNumber(data[0].ITCUC4STAT_RUNS_MONTH_09);
	var row_2_1_12 = formatNumber(data[0].ITCUC4STAT_RUNS_MONTH_10);
	var row_2_1_13 = formatNumber(data[0].ITCUC4STAT_RUNS_MONTH_11);
	var row_2_1_14 = formatNumber(data[0].ITCUC4STAT_RUNS_MONTH_12);

	var row_2_2_1  = "<b>Runs per day</b>";
	var row_2_2_2  = formatNumber(data[0].ITCUC4STAT_RUNS_DAY);
	var row_2_2_3  = formatNumber(data[0].ITCUC4STAT_RUNS_DAY_01);
	var row_2_2_4  = formatNumber(data[0].ITCUC4STAT_RUNS_DAY_02);
	var row_2_2_5  = formatNumber(data[0].ITCUC4STAT_RUNS_DAY_03);
	var row_2_2_6  = formatNumber(data[0].ITCUC4STAT_RUNS_DAY_04);
	var row_2_2_7  = formatNumber(data[0].ITCUC4STAT_RUNS_DAY_05);
	var row_2_2_8  = formatNumber(data[0].ITCUC4STAT_RUNS_DAY_06);
	var row_2_2_9  = formatNumber(data[0].ITCUC4STAT_RUNS_DAY_07);
	var row_2_2_10 = formatNumber(data[0].ITCUC4STAT_RUNS_DAY_08);
	var row_2_2_11 = formatNumber(data[0].ITCUC4STAT_RUNS_DAY_09);
	var row_2_2_12 = formatNumber(data[0].ITCUC4STAT_RUNS_DAY_10);
	var row_2_2_13 = formatNumber(data[0].ITCUC4STAT_RUNS_DAY_11);
	var row_2_2_14 = formatNumber(data[0].ITCUC4STAT_RUNS_DAY_12);	

	var row_2_3_1  = "<b>Runs per hour</b>";
	var row_2_3_2  = formatNumber(data[0].ITCUC4STAT_RUNS_HOUR);
	var row_2_3_3  = formatNumber(data[0].ITCUC4STAT_RUNS_HOUR_01);
	var row_2_3_4  = formatNumber(data[0].ITCUC4STAT_RUNS_HOUR_02);
	var row_2_3_5  = formatNumber(data[0].ITCUC4STAT_RUNS_HOUR_03);
	var row_2_3_6  = formatNumber(data[0].ITCUC4STAT_RUNS_HOUR_04);
	var row_2_3_7  = formatNumber(data[0].ITCUC4STAT_RUNS_HOUR_05);
	var row_2_3_8  = formatNumber(data[0].ITCUC4STAT_RUNS_HOUR_06);
	var row_2_3_9  = formatNumber(data[0].ITCUC4STAT_RUNS_HOUR_07);
	var row_2_3_10 = formatNumber(data[0].ITCUC4STAT_RUNS_HOUR_08);
	var row_2_3_11 = formatNumber(data[0].ITCUC4STAT_RUNS_HOUR_09);
	var row_2_3_12 = formatNumber(data[0].ITCUC4STAT_RUNS_HOUR_10);
	var row_2_3_13 = formatNumber(data[0].ITCUC4STAT_RUNS_HOUR_11);
	var row_2_3_14 = formatNumber(data[0].ITCUC4STAT_RUNS_HOUR_12);	
	
	var row_2_4_1  = "<b>Runs per minute</b>";
	var row_2_4_2  = formatNumber(data[0].ITCUC4STAT_RUNS_MINUTE);
	var row_2_4_3  = formatNumber(data[0].ITCUC4STAT_RUNS_MINUTE_01);
	var row_2_4_4  = formatNumber(data[0].ITCUC4STAT_RUNS_MINUTE_02);
	var row_2_4_5  = formatNumber(data[0].ITCUC4STAT_RUNS_MINUTE_03);
	var row_2_4_6  = formatNumber(data[0].ITCUC4STAT_RUNS_MINUTE_04);
	var row_2_4_7  = formatNumber(data[0].ITCUC4STAT_RUNS_MINUTE_05);
	var row_2_4_8  = formatNumber(data[0].ITCUC4STAT_RUNS_MINUTE_06);
	var row_2_4_9  = formatNumber(data[0].ITCUC4STAT_RUNS_MINUTE_07);
	var row_2_4_10 = formatNumber(data[0].ITCUC4STAT_RUNS_MINUTE_08);
	var row_2_4_11 = formatNumber(data[0].ITCUC4STAT_RUNS_MINUTE_09);
	var row_2_4_12 = formatNumber(data[0].ITCUC4STAT_RUNS_MINUTE_10);
	var row_2_4_13 = formatNumber(data[0].ITCUC4STAT_RUNS_MINUTE_11);
	var row_2_4_14 = formatNumber(data[0].ITCUC4STAT_RUNS_MINUTE_12);	
	
	var row_2_5_1  = "<b>Runs per second</b>";
	var row_2_5_2  = formatNumber(data[0].ITCUC4STAT_RUNS_SECOND);
	var row_2_5_3  = formatNumber(data[0].ITCUC4STAT_RUNS_SECOND_01);
	var row_2_5_4  = formatNumber(data[0].ITCUC4STAT_RUNS_SECOND_02);
	var row_2_5_5  = formatNumber(data[0].ITCUC4STAT_RUNS_SECOND_03);
	var row_2_5_6  = formatNumber(data[0].ITCUC4STAT_RUNS_SECOND_04);
	var row_2_5_7  = formatNumber(data[0].ITCUC4STAT_RUNS_SECOND_05);
	var row_2_5_8  = formatNumber(data[0].ITCUC4STAT_RUNS_SECOND_06);
	var row_2_5_9  = formatNumber(data[0].ITCUC4STAT_RUNS_SECOND_07);
	var row_2_5_10 = formatNumber(data[0].ITCUC4STAT_RUNS_SECOND_08);
	var row_2_5_11 = formatNumber(data[0].ITCUC4STAT_RUNS_SECOND_09);
	var row_2_5_12 = formatNumber(data[0].ITCUC4STAT_RUNS_SECOND_10);
	var row_2_5_13 = formatNumber(data[0].ITCUC4STAT_RUNS_SECOND_11);
	var row_2_5_14 = formatNumber(data[0].ITCUC4STAT_RUNS_SECOND_12);	
	
			
	//remove unneccessary rows
	//	$('#row1_5').remove();
	//end row 1 text area
	//End row 1
	//*********

	//Picture and text in footer
	var disable_footer = "1";	//0 = disabled, 1= enabled
	var footer_text = "";
	//var footer_date = "XX.XX.XXXX";
	var footer_date = "Report created: " + data[0].REP_DATE + " ";		//this would use the imported variable from the data.js
	//var footer_date = new Date().toLocaleDateString();		//this would show the current date when the template is openend
	var footer_pic = "../Pictures/HannRe.png";
	//end footer

	//*******************************************
	//end of setting the titles and pictures
	//*******************************************


	//*******************************************
	//Some styling variables
	//*******************************************
	var header_background_color = "#ffffff";	//standard "ffffff"
	var footer_background_color = "#ffffff";
	var content_background_color = "#eef0f8";	//standard = #eef0f8
	var box_shadow = "0";						//standard = 0, darker = 1, very dark = 2
	var border_bottom = "1";					//on = 1, off = 0
	var border_bottom_color ="#eef0f8";
	//if you want the footer/header always be visible (fixed), set the following vars to 1
	var footer_sticky = "0"; // 1=yes, 0=no
	var header_sticky = "0";
	//*******************************************
	//End of styling variables
	//*******************************************



	//********************************************
	//DO NOT CHANGE ANYTHING IN THE FOLLOWING SECTION!!!
	//mit jquery manipulieren und angegebene inhalte laden
	$("#browser_title").text(browser_title);
	//header
	$("#header_title").html(header_title);
	$("#header_title_small_right").html(header_title_small_right);
	$("#header_title_small_left").html(header_title_small_left);

    if(display_back_button == "1"){
                $("#header_title_small_left").html('<a href="../templates/cover.html")>Back</a>');
	}
	//row 1 col 2
	$("#title_1_text").html(title_1_text);
	$("#subtitle_1_text").html(subtitle_1_text);

	//table cells
	$("#row_1_0_1").html(row_1_0_1);
	$("#row_1_0_2").html(row_1_0_2);
	$("#row_1_0_3").html(row_1_0_3);
	$("#row_1_0_4").html(row_1_0_4);
	$("#row_1_0_5").html(row_1_0_5);
	$("#row_1_0_6").html(row_1_0_6);
	$("#row_1_0_7").html(row_1_0_7);
	$("#row_1_0_8").html(row_1_0_8);
	$("#row_1_0_9").html(row_1_0_9);
	$("#row_1_0_10").html(row_1_0_10);
	$("#row_1_0_11").html(row_1_0_11);
	$("#row_1_0_12").html(row_1_0_12);
	$("#row_1_0_13").html(row_1_0_13);
	$("#row_1_0_14").html(row_1_0_14);
		
	
	$("#row_1_1_1").html(row_1_1_1);
	$("#row_1_1_2").html(row_1_1_2);
	$("#row_1_1_3").html(row_1_1_3);
	$("#row_1_1_4").html(row_1_1_4);
	$("#row_1_1_5").html(row_1_1_5);
	$("#row_1_1_6").html(row_1_1_6);
	$("#row_1_1_7").html(row_1_1_7);
	$("#row_1_1_8").html(row_1_1_8);
	$("#row_1_1_9").html(row_1_1_9);
	$("#row_1_1_10").html(row_1_1_10);
	$("#row_1_1_11").html(row_1_1_11);
	$("#row_1_1_12").html(row_1_1_12);
	$("#row_1_1_13").html(row_1_1_13);
	$("#row_1_1_14").html(row_1_1_14);
	
	$("#row_1_2_1").html(row_1_2_1);
	$("#row_1_2_2").html(row_1_2_2);
	$("#row_1_2_3").html(row_1_2_3);
	$("#row_1_2_4").html(row_1_2_4);
	$("#row_1_2_5").html(row_1_2_5);
	$("#row_1_2_6").html(row_1_2_6);
	$("#row_1_2_7").html(row_1_2_7);
	$("#row_1_2_8").html(row_1_2_8);
	$("#row_1_2_9").html(row_1_2_9);
	$("#row_1_2_10").html(row_1_2_10);
	$("#row_1_2_11").html(row_1_2_11);
	$("#row_1_2_12").html(row_1_2_12);
	$("#row_1_2_13").html(row_1_2_13);
	$("#row_1_2_14").html(row_1_2_14);
	
	$("#row_1_3_1").html(row_1_3_1);
	$("#row_1_3_2").html(row_1_3_2);
	$("#row_1_3_3").html(row_1_3_3);
	$("#row_1_3_4").html(row_1_3_4);
	$("#row_1_3_5").html(row_1_3_5);
	$("#row_1_3_6").html(row_1_3_6);
	$("#row_1_3_7").html(row_1_3_7);
	$("#row_1_3_8").html(row_1_3_8);
	$("#row_1_3_9").html(row_1_3_9);
	$("#row_1_3_10").html(row_1_3_10);
	$("#row_1_3_11").html(row_1_3_11);
	$("#row_1_3_12").html(row_1_3_12);
	$("#row_1_3_13").html(row_1_3_13);
	$("#row_1_3_14").html(row_1_3_14);
	
	$("#row_1_4_1").html(row_1_4_1);
	$("#row_1_4_2").html(row_1_4_2);
	$("#row_1_4_3").html(row_1_4_3);
	$("#row_1_4_4").html(row_1_4_4);
	$("#row_1_4_5").html(row_1_4_5);
	$("#row_1_4_6").html(row_1_4_6);
	$("#row_1_4_7").html(row_1_4_7);
	$("#row_1_4_8").html(row_1_4_8);
	$("#row_1_4_9").html(row_1_4_9);
	$("#row_1_4_10").html(row_1_4_10);
	$("#row_1_4_11").html(row_1_4_11);
	$("#row_1_4_12").html(row_1_4_12);
	$("#row_1_4_13").html(row_1_4_13);
	$("#row_1_4_14").html(row_1_4_14);
	
	$("#row_1_5_1").html(row_1_5_1);
	$("#row_1_5_2").html(row_1_5_2);
	$("#row_1_5_3").html(row_1_5_3);
	$("#row_1_5_4").html(row_1_5_4);
	$("#row_1_5_5").html(row_1_5_5);
	$("#row_1_5_6").html(row_1_5_6);
	$("#row_1_5_7").html(row_1_5_7);
	$("#row_1_5_8").html(row_1_5_8);
	$("#row_1_5_9").html(row_1_5_9);
	$("#row_1_5_10").html(row_1_5_10);
	$("#row_1_5_11").html(row_1_5_11);
	$("#row_1_5_12").html(row_1_5_12);
	$("#row_1_5_13").html(row_1_5_13);
	$("#row_1_5_14").html(row_1_5_14);
	
	//end table cells

	//row 2 col 2
	$("#title_2_text").html(title_2_text);
	$("#subtitle_2_text").html(subtitle_2_text);

	//table cells
	$("#row_2_0_1").html(row_2_0_1);
	$("#row_2_0_2").html(row_2_0_2);
	$("#row_2_0_3").html(row_2_0_3);
	$("#row_2_0_4").html(row_2_0_4);
	$("#row_2_0_5").html(row_2_0_5);
	$("#row_2_0_6").html(row_2_0_6);
	$("#row_2_0_7").html(row_2_0_7);
	$("#row_2_0_8").html(row_2_0_8);
	$("#row_2_0_9").html(row_2_0_9);
	$("#row_2_0_10").html(row_2_0_10);
	$("#row_2_0_11").html(row_2_0_11);
	$("#row_2_0_12").html(row_2_0_12);
	$("#row_2_0_13").html(row_2_0_13);
	$("#row_2_0_14").html(row_2_0_14);
		
	
	$("#row_2_1_1").html(row_2_1_1);
	$("#row_2_1_2").html(row_2_1_2);
	$("#row_2_1_3").html(row_2_1_3);
	$("#row_2_1_4").html(row_2_1_4);
	$("#row_2_1_5").html(row_2_1_5);
	$("#row_2_1_6").html(row_2_1_6);
	$("#row_2_1_7").html(row_2_1_7);
	$("#row_2_1_8").html(row_2_1_8);
	$("#row_2_1_9").html(row_2_1_9);
	$("#row_2_1_10").html(row_2_1_10);
	$("#row_2_1_11").html(row_2_1_11);
	$("#row_2_1_12").html(row_2_1_12);
	$("#row_2_1_13").html(row_2_1_13);
	$("#row_2_1_14").html(row_2_1_14);
	
	$("#row_2_2_1").html(row_2_2_1);
	$("#row_2_2_2").html(row_2_2_2);
	$("#row_2_2_3").html(row_2_2_3);
	$("#row_2_2_4").html(row_2_2_4);
	$("#row_2_2_5").html(row_2_2_5);
	$("#row_2_2_6").html(row_2_2_6);
	$("#row_2_2_7").html(row_2_2_7);
	$("#row_2_2_8").html(row_2_2_8);
	$("#row_2_2_9").html(row_2_2_9);
	$("#row_2_2_10").html(row_2_2_10);
	$("#row_2_2_11").html(row_2_2_11);
	$("#row_2_2_12").html(row_2_2_12);
	$("#row_2_2_13").html(row_2_2_13);
	$("#row_2_2_14").html(row_2_2_14);
	
	$("#row_2_3_1").html(row_2_3_1);
	$("#row_2_3_2").html(row_2_3_2);
	$("#row_2_3_3").html(row_2_3_3);
	$("#row_2_3_4").html(row_2_3_4);
	$("#row_2_3_5").html(row_2_3_5);
	$("#row_2_3_6").html(row_2_3_6);
	$("#row_2_3_7").html(row_2_3_7);
	$("#row_2_3_8").html(row_2_3_8);
	$("#row_2_3_9").html(row_2_3_9);
	$("#row_2_3_10").html(row_2_3_10);
	$("#row_2_3_11").html(row_2_3_11);
	$("#row_2_3_12").html(row_2_3_12);
	$("#row_2_3_13").html(row_2_3_13);
	$("#row_2_3_14").html(row_2_3_14);
	
	$("#row_2_4_1").html(row_2_4_1);
	$("#row_2_4_2").html(row_2_4_2);
	$("#row_2_4_3").html(row_2_4_3);
	$("#row_2_4_4").html(row_2_4_4);
	$("#row_2_4_5").html(row_2_4_5);
	$("#row_2_4_6").html(row_2_4_6);
	$("#row_2_4_7").html(row_2_4_7);
	$("#row_2_4_8").html(row_2_4_8);
	$("#row_2_4_9").html(row_2_4_9);
	$("#row_2_4_10").html(row_2_4_10);
	$("#row_2_4_11").html(row_2_4_11);
	$("#row_2_4_12").html(row_2_4_12);
	$("#row_2_4_13").html(row_2_4_13);
	$("#row_2_4_14").html(row_2_4_14);
	
	$("#row_2_5_1").html(row_2_5_1);
	$("#row_2_5_2").html(row_2_5_2);
	$("#row_2_5_3").html(row_2_5_3);
	$("#row_2_5_4").html(row_2_5_4);
	$("#row_2_5_5").html(row_2_5_5);
	$("#row_2_5_6").html(row_2_5_6);
	$("#row_2_5_7").html(row_2_5_7);
	$("#row_2_5_8").html(row_2_5_8);
	$("#row_2_5_9").html(row_2_5_9);
	$("#row_2_5_10").html(row_2_5_10);
	$("#row_2_5_11").html(row_2_5_11);
	$("#row_2_5_12").html(row_2_5_12);
	$("#row_2_5_13").html(row_2_5_13);
	$("#row_2_5_14").html(row_2_5_14);

	$("#row_2_6_1").html(row_2_6_1);
	$("#row_2_6_2").html(row_2_6_2);
	$("#row_2_6_3").html(row_2_6_3);
	$("#row_2_6_4").html(row_2_6_4);
	$("#row_2_6_5").html(row_2_6_5);
	$("#row_2_6_6").html(row_2_6_6);
	$("#row_2_6_7").html(row_2_6_7);
	$("#row_2_6_8").html(row_2_6_8);
	$("#row_2_6_9").html(row_2_6_9);
	$("#row_2_6_10").html(row_2_6_10);
	$("#row_2_6_11").html(row_2_6_11);
	$("#row_2_6_12").html(row_2_6_12);
	$("#row_2_6_13").html(row_2_6_13);
	$("#row_2_6_14").html(row_2_6_14);
	
	//end table cells

	//footer
	$("#footer_text").text(footer_text);
	$("#footer_date").text(footer_date);
	$("#footer_pic").attr("src", footer_pic);
	//ende mit jquery manipulieren und angegebene inhalte laden
	//***************************************

	
	//***************************************
	//styling
	if(footer_sticky === "1"){
		$( "#kt_body" ).addClass( "footer-fixed" );
	}else{
		$( "#kt_body" ).removeClass( "footer-fixed" );
	}
	if(header_sticky === "1"){
		$( "#kt_header" ).addClass( "header-fixed" );
		$(".container").addClass("header_sticky_margin_top");
	}else{
		$( "#kt_header" ).removeClass( "header-fixed" );
	}

	$("#kt_header").css("background-color", header_background_color);
	$("#kt_footer").css("background-color", footer_background_color);
	$("#my_content").css("background-color", content_background_color);

	//border bottom
	if(border_bottom === "1"){
		$(".card").css("border-bottom", "4px solid");
		$(".card").css("border-bottom-color", border_bottom_color);
	}

	//box shadow
	if(box_shadow === "1"){
		$(".card.card-custom").addClass("box_shadow_1");
	}else if(box_shadow === "2"){
		$(".card.card-custom").addClass("box_shadow_2");
	}else{
		$(".card.card-custom").addClass("box_shadow_standard");
	}

	//display header
	if (disable_header === "0"){
		$("#kt_header").css("display", "none");
	}else{
		//nichts
	}
	//display footer
	if (disable_footer === "0"){
		$(".footer").addClass("hide_footer");
	}else{
		//nichts
	}

});
function formatNumber(num) {
	return num.toString().replace(/(\d)(?=(\d{3})+(?!\d))/g, '$1.');
}