﻿jQuery(document).ready(function(){	

	//******************************************
	//read data from data.js json formatted file
	//examples of variable declarations see below, every variable like
	//TOTAL_RUNS_ALL_PROD or REP_DAT	E can be used down below to be displayed in any text by using + between text and the variable
	//e.g var introduction_text = "Total runs on Productive:" + TOTAL_RUNS_ALL_PROD;
	//e.g. var footer_date = date;
	var imported_date = data[0].REP_DATE;
	//******************************************


	//*******************************************
	//Im folgenden Abschnitt Titel und Links zu Bildern angeben
	//Tabllen können nur im Dateiformat .html in den Variablen (var) mit dem Titel Tabelle angegeben werden
	//Titel können auch leer gelassen werden, hierzu einfach keinen Text zwischen den Anführungsstrichen eingeben
	//in the following section you can set the titles and links for pictures
	//titles can be left empty with ""

	var browser_title = "Agent Statistics";
	var disable_header = "1";	//0 = not visible, 1= visible
	var display_back_button = "1"; //0 = not visible, 1= visible, header_title_small_left will be hided if turned on
	var header_title_small_left = "";
	var header_title = "<h2>MONTHLY SCHEDULING STATISTICS</h2> " + data[0].REP_MONTH + " " + data[0].REP_YEAR + "<br><h2>Agent statistics</h2></b>";	//for a subtitle below the title, use something like: var header_title = "<h2>Header title!</h2>Subtitle";
	var header_title_small_right = "";

	//*********
	//Start row 1
	//Row 1 Picture 1
	var title_row1_pic1 = "Agent growth";
	var subtitle_row1_pic1 = "";
	var pic_1_1 = "../Pictures/Number_of_defined_Agents_one_year.png";
	
	//Row 1 Picture 2
	var title_row1_pic2 = "Count per Agent Type (last month)";
	var subtitle_row1_pic2 = "";
	var pic_1_2 = "../Pictures/Number_of_defined_agents_by_type_month.png";

	//End row 1
	//*********

	//*********
	//Start row 2
	
	var title_row2_pic1 = "";
	var subtitle_row2_pic1 = "";
	var pic_2_1 = "";
	
	//Row 1 Picture 2
	var title_row2_pic2 = "";
	var subtitle_row2_pic2 = "";
	var pic_2_2 = "";

	//Start row 3
	//Row 3 Picture 1
	var title_row3_pic1 = "";
	var subtitle_row3_pic1 = "";
	var pic_3_1 = "";
	//end row 3
	//*********

	//Picture and text in footer
	var disable_footer = "1";			//0 = not visible, 1= visible
	var footer_text = "";
	//var footer_date = "XX.XX.XXXX";
	var footer_date = "Report created: " + data[0].REP_DATE + " ";		//this would use the imported variable from the data.js
	//var footer_date = new Date().toLocaleDateString();		//this would show the current date when the template is openend
	var footer_pic = "../Pictures/HannRe.png";
	//end footer

	//*******************************************
	//end of setting the titles and pictures
	//*******************************************


	//*******************************************
	//Some styling variables
	//*******************************************
	var header_background_color = "#ffffff";	//standard "ffffff"
	var footer_background_color = "#ffffff";
	var content_background_color = "#eef0f8";	//standard = #eef0f8
	var box_shadow = "0";						//standard = 0, darker = 1, very dark = 2
	var border_bottom = "1";					//on = 1, off = 0
	var border_bottom_color ="#eef0f8";
	//if you want the footer/header always be visible (fixed), set the following vars to 1
	var footer_sticky = "0"; // 1=yes, 0=no
	var header_sticky = "0";
	//*******************************************
	//End of styling variables
	//*******************************************







	//********************************************
	//DO NOT CHANGE ANYTHING IN THE FOLLOWING SECTION!!!
	//mit jquery manipulieren und angegebene inhalte laden
	$("#browser_title").text(browser_title);
	//header
	$("#header_title").html(header_title);
	$("#header_title_small_right").html(header_title_small_right);
	$("#header_title_small_left").html(header_title_small_left);

    if(display_back_button == "1"){
                $("#header_title_small_left").html('<a href="../templates/cover.html")>Back</a>');
	}

	//ROW1
	//row 1 col 1
	$("#title_row1_pic1").html(title_row1_pic1);
	$("#subtitle_row1_pic1").html(subtitle_row1_pic1);
	$("#pic_1_1").attr("src", pic_1_1);
	$("#lightbox_pic_1_1").attr("href", pic_1_1);

	//row 1 col 2
	$("#title_row1_pic2").html(title_row1_pic2);
	$("#subtitle_row1_pic2").html(subtitle_row1_pic2);
	$("#pic_1_2").attr("src", pic_1_2);
	$("#lightbox_pic_1_2").attr("href", pic_1_2);



	//footer
	$("#footer_text").html(footer_text);
	$("#footer_date").html(footer_date);
	$("#footer_pic").attr("src", footer_pic);
	//ende mit jquery manipulieren und angegebene inhalte laden
	//***************************************

	//***************************************
	//styling
	if(footer_sticky === "1"){
		$( "#kt_body" ).addClass( "footer-fixed" );
	}else{
		$( "#kt_body" ).removeClass( "footer-fixed" );
	}
	if(header_sticky === "1"){
		$( "#kt_header" ).addClass( "header-fixed" );
		$(".container").addClass("header_sticky_margin_top");
	}else{
		$( "#kt_header" ).removeClass( "header-fixed" );
	}

	$("#kt_header").css("background-color", header_background_color);
	$("#kt_footer").css("background-color", footer_background_color);
	$("#my_content").css("background-color", content_background_color);

	//border bottom
	if(border_bottom === "1"){
		$(".card").css("border-bottom", "4px solid");
		$(".card").css("border-bottom-color", border_bottom_color);
	}

	//box shadow
	if(box_shadow === "1"){
		$(".card.card-custom").addClass("box_shadow_1");
	}else if(box_shadow === "2"){
		$(".card.card-custom").addClass("box_shadow_2");
	}else{
		$(".card.card-custom").addClass("box_shadow_standard");
	}

	//display header
	if (disable_header === "0"){
		$("#kt_header").css("display", "none");
	}else{
		//nichts
	}
	//display footer
	if (disable_footer === "0"){
		$(".footer").addClass("hide_footer");
	}else{
		//nichts
	}
});